/*
	Adds a marker for Cookie Missions. Only runs once.
	DZMSMarkerLoop.sqf keeps this marker updated.
	Usage: [coordinates,missionname]
*/

private[ "_nul" , "_nil" ];
DZMSCookieCoords = _this select 0;
DZMSCookieName = _this select 1;

_nul = createMarker ["DZMSCookieMarker", DZMSCookieCoords];
"DZMSCookieMarker" setMarkerColor DZMSstrCookieMarkerColor;
"DZMSCookieMarker" setMarkerShape DZMSstrCookieMarkerShape;
"DZMSCookieMarker" setMarkerBrush DZMSstrCookieMarkerBrush;
"DZMSCookieMarker" setMarkerSize [ DZMSfCookieMarkerSize , DZMSfCookieMarkerSize ];

_nil = createMarker ["DZMSCookieDot", DZMSCookieCoords];
"DZMSCookieDot" setMarkerColor "ColorBlack";
"DZMSCookieDot" setMarkerType "Vehicle";
"DZMSCookieDot" setMarkerText DZMSCookieName;
