
// when we come into this script, the mission timeout timer is already running

private [ "_strMissionName" , "_strMissionHail" , "_strMissionSuccess" , "_strMissionID" , 
 	"_lstBoxesLocal" , "_lstBoxesSetups" , "_lstVehiclesLocal" , "_lstVehiclesPersistent" , "_lstVehiclesLocked" , "_lstObjectsLocal" , "_lstSpawnsLocal" ,
	"_coords" , "_iloop" , "_strVehicleTypeOrCat" , "_strVehicleType" , "_fx" , "_fy" , "_fz" , "_frot" , "_fFuelNow" , "_iPersistNow" , "_vehHandles" ,
	"_strBoxType" , "_nowBox" , "_strBoxFill" , "_strObjectType" , "_nowObject" , "_boxHandles" , "_objHandles" , "_iHowManyInSquad" , "_iSkill" , "_bIsAmbush" ,
	"_nowVehicle1" , "_nowVehicle2" ];



// mission name and messages

_strMissionName = "Assassination!";
_strMissionHail = "Survivor intel reports a key bandit general is visiting a bandit outpost!\nTake out his defenders and kill him!";
_strMissionSuccess = "Survivors have wiped out the bandit VIP and his staff!";
_strMissionID = "Major SM9";

// mission boxes

_specBox01 = [ "RUBasicAmmunitionBox", -6.4377 , -0.2900, 0.1, 30.424841 ];
_specBox02 = [ "RUBasicWeaponsBox", -6.2134 , -2.4824, 0, 47.193745 ];
_specBox03 = [ "RUSpecialWeaponsBox", 8.2498 , -2.3613, 0, 75.072716 ];

_lstBoxesLocal = [ _specBox01 , _specBox02 , _specBox03 ];

_lstBoxesSetups = [ "medical" , "money" , "weapons" ];

// mission vehicles ( type ID or category, x, y, z, rot ( >360 = random ), fuel ( <0 = random ) )

_specVeh01 = [ "BTR60_TK_EP1", 0.9153 , 14.0791, 0, -4.6195035 , -1 ] ;
_specVeh02 = [ "GRAD_RU", -18.8870 , 4.8809, 0, -32.650871 , -1 ];
_specVeh03 = [ "MAZ_543_SCUD_TK_EP1", 3.6599 , -15.4873, 0, -90.808945 , -1 ];
_specVeh04 = [ "UAZ_AGS30_RU", -21.2065 , -9.3867, 0, -96.329651 , -1 ];
_specVeh05 = [ "UAZ_MG_TK_EP1", 14.3340 , -20.5303, 0, 177.8533 , -1 ];
_specVeh06 = [ "UAZ_SPG9_INS", -7.2173 , -19.6055, 0, 190.83424 , -1 ];
_specVeh07 = [ "Ural_ZU23_TK_EP1", 25.4307 , -14.9912, 0, -226.22295 , -1 ];
_specVeh08 = [ "GRAD_RU", -9.0713 , 11.7207, 0, -284.79648 , -1 ];

_lstVehiclesLocal = [ _specVeh01 , _specVeh02  , _specVeh03 , _specVeh04 , _specVeh05 , _specVeh06 , _specVeh07 , _specVeh08 ];

_lstVehiclesPersistent = [ 999 ];

_lstVehiclesLocked = [ 0 , 1 , 2 , 6 , 7 ];

// scenary / other objects

_spcObj01 = [ "MAP_76n6_ClamShell_Lower", 25.4731 , 1.5234, 0, -287.25015 ];
_spcObj02 = [ "MAP_PowGen_Big", 7.2942 , 4.3457, 0, 89.211739 ];
_spcObj03 = [ "MAP_Camo_Box", -7.1897 , -18.0967, 0, -89.218697 ];
_spcObj04 = [ "MAP_Pristresek", -22.5894 , 8.7354, 0, -0.40653005 ];
_spcObj05 = [ "MAP_Camo_Box", 14.1663 , -18.5391, 0, 91.211563 ];
_spcObj06 = [ "MAP_Camo_Box", -0.3367 , 15.2422, 0, 89.552689 ];
_spcObj07 = [ "MAP_Camo_Box", -19.7947 , -11.3916, 0, 0 ];
_spcObj08 = [ "MAP_fort_bagfence_round", 11.4412 , 20.9541, 0, 9.1001663 ];
_spcObj09 = [ "MAP_fort_watchtower", -0.0076 , -2.4912, 0, 88.51059 ];
_spcObj10 = [ "MAP_HBarrier5", -1.2080 , -11.6709, 0, 0 ];
_spcObj11 = [ "MAP_HBarrier5", 4.4211 , -11.6719, 0, 0 ];
_spcObj12 = [ "MAP_HBarrier5", -6.8591 , -11.6318, 0, 0 ];
_spcObj13 = [ "MAP_HBarrier5", -12.5657 , -11.5928, 0, 0 ];
_spcObj14 = [ "MAP_HBarrier5", 9.9460 , -11.6807, 0, 0 ];
_spcObj15 = [ "MAP_HBarrier5", -14.1458 , 7.9150, 0, 0 ];
_spcObj16 = [ "MAP_HBarrier5", -8.3538 , 7.9902, 0, 0 ];
_spcObj17 = [ "MAP_HBarrier5", -2.6194 , 8.0088, 0, 0 ];
_spcObj18 = [ "MAP_HBarrier5", 3.0498 , 8.0361, 0, 0 ];
_spcObj19 = [ "MAP_HBarrier5", 8.7266 , 8.1152, 0, 0 ];
_spcObj20 = [ "MAP_HBarrier5", 14.4370 , 8.2656, 0, 0 ];
_spcObj21 = [ "MAP_HBarrier5", 15.6250 , -11.7393, 0, 0 ];
_spcObj22 = [ "MAP_HBarrier5", -13.8735 , 6.6826, 0, 88.775085 ];
_spcObj23 = [ "MAP_HBarrier5", -13.9875 , -7.1709, 0, 88.905197 ];
_spcObj24 = [ "MAP_HBarrier5", 20.2244 , 8.4717, 0, 88.544411 ];
_spcObj25 = [ "MAP_HBarrier5", 19.8374 , -5.9824, 0, 89.827278 ];
_spcObj26 = [ "MAP_HBarrier5", -9.9075 , -3.1152, 0, 89.761124 ];
_spcObj27 = [ "MAP_HBarrier5", -10.0022 , -2.1006, 0, -88.962654 ];
_spcObj28 = [ "MAP_HBarrier5", 15.3484 , -1.3604, 0, -89.388969 ];
_spcObj29 = [ "MAP_HBarrier5", 15.4441 , -6.9287, 0, -89.682831 ];
_spcObj30 = [ "MAP_fort_bagfence_round", 25.6338 , 13.4697, 0, 56.144165 ];
_spcObj31 = [ "MAP_fort_bagfence_round", 19.5251 , 18.3965, 0, 27.819324 ];
_spcObj32 = [ "MAP_fort_bagfence_round", -29.4500 , -3.5498, 0, -107.72994 ];
_spcObj33 = [ "MAP_fort_bagfence_round", -29.6521 , 5.2539, 0, -68.993698 ];
_spcObj34 = [ "MAP_fort_bagfence_round", -20.9612 , -20.2236, 0, -141.55467 ];
_spcObj35 = [ "MAP_fort_bagfence_round", -16.3994 , 20.1689, 0, -34.83073 ];
_spcObj36 = [ "MAP_fort_bagfence_round", -8.2275 , 23.4443, 0, -12.614176 ];
_spcObj37 = [ "MAP_fort_bagfence_round", -1.0051 , -26.2744, 0, 196.82071 ];
_spcObj38 = [ "MAP_fort_bagfence_round", 7.4006 , -26.2441, 0, 168.61336 ];
_spcObj39 = [ "MAP_fort_bagfence_round", 26.4231 , -23.1406, 0, 147.32738 ];
_spcObj40 = [ "MAP_fort_bagfence_round", 29.7563 , -9.8232, 0, 116.3045 ];

_lstObjectsLocal = [
 _spcObj01 , _spcObj02 , _spcObj03 , _spcObj04 , _spcObj05 , _spcObj06 , _spcObj07 , _spcObj08 , _spcObj09 , _spcObj10 ,
 _spcObj11 , _spcObj12 , _spcObj13 , _spcObj14 , _spcObj15 , _spcObj16 , _spcObj17 , _spcObj18 , _spcObj19 , _spcObj20 ,
 _spcObj21 , _spcObj22 , _spcObj23 , _spcObj24 , _spcObj25 , _spcObj26 , _spcObj27 , _spcObj28 , _spcObj29 , _spcObj30 ,
 _spcObj31 , _spcObj32 , _spcObj33 , _spcObj34 , _spcObj35 , _spcObj36 , _spcObj37 , _spcObj38 , _spcObj39 , _spcObj40
];

// AI spawn specifications

_spcSpawnData01 = [ 9.4214 , -7.4238 , 0, 2, 3 ];
_spcSpawnData02 = [ -6.9436 , 4.0303 , 0, 2, 3 ];
_spcSpawnData03 = [ -21.8716 , -0.7803 , 0, 2, 3 ];
_spcSpawnData04 = [ 3.5408 , -20.6787 , 0, 2, 3 ];
_spcSpawnData05 = [ 13.1338 , 13.4473 , 0, 2, 3 ];
_spcSpawnData06 = [ -6.1506 , -7.7559 , 0, 2, 3 ];
_spcSpawnData07 = [ 20.0825 , -1.0352 , 0, 2, 3 ];
_spcSpawnData08 = [ 10.5720 , 0.7656 , 0, 2, 3 ];
_spcSpawnData09 = [ -0.7155 , -2.6941 , 0, 1, -3 ];

_lstSpawnsLocal = [
	_spcSpawnData01 , _spcSpawnData02 , _spcSpawnData03 , _spcSpawnData04 , 
	_spcSpawnData05 , _spcSpawnData06 , _spcSpawnData07 , _spcSpawnData08 , _spcSpawnData09
];

// mission marker parameters

DZMSfMajMarkerSize = 500;
DZMSstrMajMarkerColor = "ColorRed";
DZMSstrMajMarkerBrush = "Solid";
DZMSstrMajMarkerShape = "ELLIPSE";



// start standard common mission code

// DZMSFindPos loops BIS_fnc_findSafePos until it gets a valid result

_coords = call DZMSFindPos;

[ nil , nil , rTitleText , _strMissionHail , "PLAIN" , 10 ] call RE;

// DZMSAddMajMarker is a simple script that adds a marker to the location

[ _coords , _strMissionName ] ExecVM DZMSAddMajMarker;


// initialize the now counter for vehicle setup and empty the array just in case

_iloop = 0;
_vehHandles = [];

// traverse the vehicles to be set up
{
	// get the vehicle class ID or category
	_strVehicleTypeOrCat	= _x select 0;

	// see if it's a CATEGORY as opposed to a TYPE ....
	if ( 	_strVehicleTypeOrCat in DZMSVehicleCategories ) then {
		_strVehicleType = [ _strVehicleTypeOrCat ] call DZMSGetVeh;
	} else {
		_strVehicleType = _strVehicleTypeOrCat;
	};

	// now get the coordinates
	_fx = ( _coords select 0 ) + ( _x select 1 );
	_fy = ( _coords select 1 ) + ( _x select 2 );
	_fz = _x select 3;
	_frot = _x select 4;

	// if the rotation is large enough, it means we should randomize it
	if ( _frot > 360 ) then {
		_frot = random 360;
	};

	// get the fuel
	_fFuelNow = _x select 5;

	// create the vehicle and stash the handle
	_nowVehicle = createVehicle [ _strVehicleType, [ _fx , _fy , _fz ] , [] , 0 , "CAN_COLLIDE" ];

	// set up the persistence flat
	_iPersistNow = 0;

	// set up the persistance flag
	if ( _iloop in _lstVehiclesPersistent ) then {
		_iPersistNow = 1;
	};

	// set up the fuel value
	if ( _fFuelNow > 1 ) then {
		_fFuelNow = 1;
	};

	// DZMSSetupVehicle prevents the vehicle from disappearing and sets fuel
	if ( _fFuelNow < 0 ) then {
		[ _nowVehicle , _iPersistNow ] call DZMSSetupVehicle;
	} else {
		[ _nowVehicle , _iPersistNow , _fFuelNow ] call DZMSSetupVehicle;
	};

	// set the rotation
	_nowVehicle setDir _frot;

	// set up the lock state
	if ( _iloop in _lstVehiclesLocked ) then {
		_nowVehicle setVehicleLock "LOCKED";
	};

	// stash the handle in the array
	_vehHandles set [ _iloop , _nowVehicle ];

	// finally, increment the index
	_iloop = _iloop + 1;

} forEach _lstVehiclesLocal;

// end vehicle setup


// initialize the now counter for crate setup and empty the handle array just in case
_iloop = 0;
_boxHandles = [];

// traverse the crates to be set up
{
	// get the box type, which is never random
	_strBoxType = _x select 0;

	// now get the coordinates
	_fx = ( _coords select 0 ) + ( _x select 1 );
	_fy = ( _coords select 1 ) + ( _x select 2 );
	_fz = _x select 3;
	_frot = _x select 4;

	// if the rotation is large enough, it means we should randomize it
	if ( _frot > 360 ) then {
		_frot = random 360;
	};

	// now create the mission box
	_nowBox = createVehicle [ _strBoxType  , [ _fx , _fy , _fz ] , [] , 0 , "CAN_COLLIDE" ];

	// set the box rotation
	_nowBox setDir _frot;

	// select the mission box fill style
	_strBoxFill = _lstBoxesSetups select _iloop;

	// fill the box
	[ _nowBox , _strBoxFill ] ExecVM DZMSBoxSetup;

	// protect the box from the antihack system
	[ _nowBox ] call DZMSProtectObj;

	// stash the handle in an array
	_boxHandles set [ _iloop , _nowBox ];

	// finally, increment the counter
	_iloop = _iloop + 1;

} forEach _lstBoxesLocal;

//  end box/crate setup


// initialize the now counter for scenery setup
_iloop = 0;
_objHandles = [];

// traverse the scenery objects to be set up
{
	// get the object type, which is never random
	_strObjectType = _x select 0;

	// now get the coordinates
	_fx = ( _coords select 0 ) + ( _x select 1 );
	_fy = ( _coords select 1 ) + ( _x select 2 );
	_fz = _x select 3;
	_frot = _x select 4;

	// if the rotation is large enough, it means we should randomize it
	if ( _frot > 360 ) then {
		_frot = random 360;
	};

	// now create the scenery object
	_nowObject = createVehicle [ _strObjectType , [ _fx , _fy , _fz ] , [] , 0 , "CAN_COLLIDE" ];

	// set the box rotation
	_nowObject setDir _frot;

	// protect the box from the antihack system
	[ _nowObject ] call DZMSProtectObj;

	// stash the handle in an array
	_objHandles set [ _iloop , _nowObject ];

	// finally, increment the counter
	_iloop = _iloop + 1;

} forEach _lstObjectsLocal;

//  end scenery object setup


// initialize the now counter for scenery setup
_iloop = 0;

// traverse the AI spawn specs
{
	// get the coordinates
	_fx = ( _coords select 0 ) + ( _x select 0 );
	_fy = ( _coords select 1 ) + ( _x select 1 );
	_fz = _x select 2;

	// how many in this squad
	_iHowManyInSquad = _x select 3;

	// and what's their skill level?
	_iSkill = _x select 4;

	// do the spawn
	[ [ _fx , _fy , _fz ] , _iHowManyInSquad , _iSkill , 2 , _iloop ] call DZMSAISpawn;

	// increment the counter
	_iloop = _iloop + 1;

	// a short delay
	sleep 5;

} forEach _lstSpawnsLocal;

// done with AI spawns


// now set up ground vehicle fire support!

// find a direction
_frndAngle = random 360.0;

// find a displacement along that dir vector 80 meters out
_frndcos = ( sin _frndAngle ) * 50;
_frndsin = ( cos _frndAngle ) * 50;

_frndcos2 =  _frndcos * 1.5;
_frndsin2 =  _frndsin * 1.5;

//               spawn coords                                                   mission   iv   mission group type   AI group index               wp rad  orb rad , skill min max
_nowVehicle1 = [ [ ( ( _coords select 0 ) + _frndcos ) , ( ( _coords select 1 ) + _frndsin ) , 0 ] , [ ( ( _coords select 0 ) + _frndcos2 ) , ( ( _coords select 1 ) + _frndsin2 ) , 0 ] , 
	1 , DZMSMissionMajor , ( count DZMSGroupsInVehiclesMajor ) , 5 , 20 , 3 , 3 ] call DZMSSpawnSurface;
_nowVehicle2 = [ [ ( ( _coords select 0 ) - _frndcos ) , ( ( _coords select 1 ) - _frndsin ) , 0 ] , [ ( ( _coords select 0 ) - _frndcos2 ) , ( ( _coords select 1 ) - _frndsin2 ) , 0 ] , 
	1 , DZMSMissionMajor , ( count DZMSGroupsInVehiclesMajor ) , 5 , 20 , 3 , 3 ] call DZMSSpawnSurface;

// the functions have already added the AI crew to the mission AI lists ... but we need to add the vehicle handle to the vehicle list

_vehHandles set [ ( count _vehHandles ) , _nowVehicle1 ];
_vehHandles set [ ( count _vehHandles ) , _nowVehicle2 ];



// this concludes mission setup

// start the mission timeout timer running
[] execVM "\z\addons\dayz_server\DZMS\Scripts\DZMSMajorMissionAcceptedTest.sqf";


// Wait until the player is within 30 meters and also meets the kill req
[ _coords ] call DZMSWaitMajorMissionComp;


// if the mission was never accepted and the timeout has expired, nuke everything and move on
if ( DZMSMajorTimeoutEXPIRED ) then {

   	// we timed out -- stop the acceptance test
    	DZMSMajorAcceptanceTestRunning = false;

    	// at this point the acceptance test might be in a WAIT state, and if we rush we could nuke the AI and then see a "death" triggering acceptance....
    	sleep 30;

    	// so now timer, acceptance, and mission complete tests are all shut down....

    	// nuke all the AI
    	call DZMSPurgeAllMajorAI;

	// nuke the individual vehicles
	{
	    _x call DZMSPurgeObject;
	} forEach _vehHandles;

	// nuke the individual mission boxes
	{
	    _x call DZMSPurgeObject;
	} forEach _boxHandles;

	// nuke the individual scenery objects
	{
	    _x call DZMSPurgeObject;
	} forEach _objHandles;

	// nuke the loose backpacks -- does nothing if there aren't any
	[ _coords ] call DZMSDelBackpacks; 

	// Let everyone know the mission is over
	[ nil , nil , rTitleText , format [ "%1 mission has timed out." , _strMissionName ] , "PLAIN" , 6 ] call RE;
	diag_log text format [ "[DZMS]: %1 %2 mission has timed out." , _strMissionID , _strMissionName ];

} else {

    	// acceptance test has already shut down timer. completion test is shut down too....

    	// here is where we would set persistence to any loot vehicles

    	// Call DZMSSaveVeh to attempt to save the vehicles to the database
	// re-init iloop
	_iloop = 0;
	{
		// set up the persistance flag
		_iPersistNow = 0;

		// check to see if this index is in the list
		if ( _iloop in _lstVehiclesPersistent ) then {
			_iPersistNow = 1;
		};

		// make the call to the save routine
		[ _x , _iPersistNow ] execVM DZMSSaveVeh;

		// increment _iloop
		_iloop = _iloop + 1;

	} forEach _vehHandles;

    	// clean up the AI groups
   	call DZMSPurgeMajorGroups;

    	// Let everyone know the mission is over
    	[ nil , nil , rTitleText , _strMissionSuccess , "PLAIN" , 6 ] call RE;
    	diag_log text format [ "[DZMS]: %1 %2 mission ended." , _strMissionID , _strMissionName ];
};


// nuke the markers
deleteMarker "DZMSMajMarker";
deleteMarker "DZMSMajDot";

// Let the timer know the mission is over
DZMSMajDone = true;