
private[ "_run" , "_timeDiff" , "_wait" , "_cntMis" , "_ranMis" , "_varName" ];

// Let's get our time Min and Max
_timeDiff = DZMSMinorMax - DZMSMinorMin;

diag_log text format [ "[DZMS]: Minor Mission Clock Starting!" ];

// Lets get the loop going
_run = true;

while { _run } do
{
	// Lets wait the random time
	_wait  = DZMSMinorMin + round( random _timeDiff );
	[ _wait , 5 ] call DZMSSleep;
	
	// Let's check that there are missions in the array.
	// If there are none, lets end the timer.
	_cntMis = count DZMSMinorArray;
	if ( _cntMis == 0 ) exitWith { /* Exit The Loop */ };
	
	// Lets pick a mission
	_ranMis = floor ( random _cntMis );
	_varName = DZMSMinorArray select _ranMis;
    
	// rebuild the array for the next mission
	DZMSUnitsMinor = [];
	DZMSUnitsHostagesMinor = [];
	DZMSUnitsInVehiclesMinor = [];

	// let's run the mission elapsed time / timeout timer
	[] execVM "\z\addons\dayz_server\DZMS\Scripts\DZMSMinTimeoutTimer.sqf";

	// Let's Run the Mission
	[] execVM format [ "\z\addons\dayz_server\DZMS\Missions\Minor\%1.sqf" , _varName ];
	diag_log text format [ "[DZMS]: Running Minor Mission %1." , _varName ];
	
	// Let's wait for it to finish or timeout
	waitUntil { DZMSMinDone };

	// reset the flag!
	DZMSMinDone = false;
};