///// NOT FINISHED


if ( isServer ) then {
	
	private [ "_difficulty" , "_mission" , "_type" , "_color" , "_dot" , "_position" , "_marker" , "_name" ];

	_mission	 	= _this select 0;
	_position   	= _this select 1;
	_difficulty	= _this select 2;
	_name			= _this select 3;
	_type			= _this select 4;

	// a debug message
	if ( debug_mode ) then { diag_log( "[WAI] Updating marker for " + str( _mission ) ); };

	wai_mission_data select _mission set [ 1, _type ];
	wai_mission_data select _mission set [ 3, _position ];
	
	
	_marker 	= "";
	_dot 		= "";
	_color	= "";
	
	call {
		if( _difficulty == "very easy" )	exitWith { _color = "ColorGreen" };
		if( _difficulty == "easy" )		exitWith { _color = "ColorYellow" };
		if( _difficulty == "medium" )		exitWith { _color = "ColorOrange" };
		if( _difficulty == "hard" )		exitWith { _color = "ColorRed" };
		if( _difficulty == "very hard" )	exitWith { _color = "ColorBrown" };
		if( _difficulty == "extreme" ) 		exitWith { _color = "ColorBlack" };
		_color = _difficulty;
	};
	
	call {
		if( _type == "mainhero" )		exitWith { _name = "[WAI Bandits] " + _name; };
		if( _type == "mainbandit" )	exitWith { _name = "[WAI Heroes] " + _name; };
		if( _type == "special" )		exitWith { _name = "[Special] " + _name; };
	};
	

		[_position, _color, _name, _mission] spawn {

			private["_position","_color","_name","_running","_mission","_type","_marker","_dot"];

			_position	= _this select 0;
			_color 	= _this select 1;
			_name 	= _this select 2;
			_mission 	= _this select 3;
			_running 	= true;
			
			while { _running } do {

				_type	= ( wai_mission_data select _mission ) select 1;
				
				_marker 		= createMarker [_type + str(_mission), _position];
				_marker 		setMarkerColor _color;
				_marker 		setMarkerShape "ELLIPSE";
				_marker 		setMarkerBrush "Solid";
				_marker 		setMarkerSize [300,300];
				_marker 		setMarkerText _name;

				_dot 			= createMarker [_type + str(_mission) + "dot", _position];
				_dot 			setMarkerColor "ColorBlack";
				_dot 			setMarkerType "mil_dot";
				_dot 			setMarkerText _name;

				sleep 1;

				deleteMarker 	_marker;
				deleteMarker 	_dot;

				_running = (typeName (wai_mission_data select _mission) == "ARRAY");

			};
		};
	

	// a debug message
	if ( debug_mode ) then { diag_log( "[WAI] Mission Data: " + str( wai_mission_data ) ); };
	
};